<?php
/*
Plugin Name: TeamBooking Content Hook - Example 1 (tbk_schedule_slot_render)
Description: Shows an advice at the bottom of the slot if it falls within a certain timeframe. It is just a documentation example, take it as a starting point.
Version:     1.0
Author:      VonStroheim
License:     MIT
License URI: https://opensource.org/licenses/MIT
*/

function example_one_tbk_schedule_slot_render($slot){
    // defining our time bounds
    $start = DateTime::createFromFormat('H:i', '08:30');
    $end = DateTime::createFromFormat('H:i', '09:30');
    // fetch the slot's start time and set the timezone
    $slot_start = new DateTime($slot->getStartTime());
    $slot_start->setTimezone(Toolkit\getTimezone());
    // our condition
    if (strtotime($slot_start->format('H:i')) >= strtotime($start->format('H:i'))
        && strtotime($slot_start->format('H:i')) < strtotime($end->format('H:i'))
    ) echo "Beware of booking this one, it's very early in the morning!";
}

add_action('tbk_schedule_slot_render', 'example_one_tbk_schedule_slot_render');